%global momorel 2
%global qtdir %{_libdir}/qt3

Summary: PDF rendering library
Name: poppler

Version: 0.8.7
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
URL: http://poppler.freedesktop.org/

Source0: http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: CVE-2009-0755.patch
Patch1: CVE-2009-0756.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: zlib-devel
BuildRequires: freetype-devel >= 2.3.5
BuildRequires: fontconfig-devel >= 2.4.2
BuildRequires: gtk2-devel >= 2.10.14
BuildRequires: glib2-devel >= 2.14.0
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libxml2-devel >= 2.6.29
BuildRequires: qt-devel, qt3-devel

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg
of Glyph and Cog, LLC.  The purpose of forking xpdf is twofold.
First, we want to provide PDF rendering functionality as a shared
library, to centralize the maintenence effort.  Today a number of
applications incorporate the xpdf code base, and whenever a security
issue is discovered, all these applications exchange patches and put
out new releases.  In turn, all distributions must package and release
new version of these xpdf based viewers.  It's safe to say that
there's a lot of duplicated effort with the current situaion.  Even if
poppler in the short term introduces yet another xpdf derived code
base to the world, we hope that over time these applications will
adopt poppler.  After all, we only need one application to use poppler
to break even.

%package devel
Summary: poppler-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
Requires: gtk2-devel, glib2-devel
%description devel
poppler-devel

%prep
%setup -q
%patch0 -p1 -b CVE-2009-0755~
%patch1 -p1 -b CVE-2009-0756~

sed -i 's/moc -i/\/usr\/%{_lib}\/qt4\/bin\/moc-qt4 -i/g' qt4/*/Makefile*

%build
export QTDIR=%{qtdir}
%configure \
    --enable-gtk-doc \
    --enable-xpdf-headers \
    --enable-zlib
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/poppler
%{_datadir}/gtk-doc/html/poppler

%changelog
* Sun Mar 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-2m)
- [SECURITY] CVE-2009-0755 CVE-2009-0756
- import upstream changes

* Fri Sep 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sun Jun 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Sat Jun 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-2m)
- rebuild against qt-4.4.0-1m

* Sun May 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Sun Apr 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.0-3m)
- must specify QTDIR for qt3 under KDE4 environment

* Mon Apr 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-2m)
- support 64bit arch

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.4-2m)
- rebuild against gcc43

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Sun Jan  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Tue Nov 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2, security fixes are included

* Fri Nov  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.1-2m)
- [SECURITY] CVE-2007-4352 CVE-2007-5392 CVE-2007-5393
- import security patch

* Mon Oct 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-2m)
- update to 0.6 again

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.4-6m)
- version down to 0.5.4

* Thu Sep  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Tue Jul 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-5m)
- [SECURITY] CVE-2007-3387
- apply security patch (poppler-0.5.4-CVE-2007-3387.patch)

* Sun Apr 22 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.4-4m)
- BuildRequires: qt-devel, qt4-devel

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Jan 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-2m)
- [SECURITY] MOAB-06-01-2007
- Multiple Vendor PDF Document Catalog Handling Vulnerability

* Tue Oct 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.4-1m)
- update to 0.5.4

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-3m)
- delete libtool library

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.3-2m)
- rebuild against expat-2.0.0-1m

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Sat Feb 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-2m)
- enable xpdf header

* Fri Feb 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- update to Beta version

* Sun Feb 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.5-1m)
- [SECURITY] CVE-2006-0301
- update to 0.4.5

* Wed Feb  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4
-- Security update; CVE-2005-3624, CVE-2005-3625, CVE-2005-3627.
-- Fix KDE bug #119569, endless loop in jpeg decoder.
- add patch1 CharCodeToUnicode
-- http://lists.freedesktop.org/archives/poppler/2005-July/000660.html
- delete *.la file (for libtool)

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.2-3m)
- add gcc-4.1 patch
- Patch0: poppler-0.4.2-gcc41.patch

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- start
